OpenNMS API 1.2.9

## org.opennms.netmgt.config.groups
Class Groups

    java.lang.Object
      org.opennms.netmgt.config.groups.Groups

All Implemented Interfaces:
  java.io.Serializable

public class Groups
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_groupList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Groups()`

Method Summary
`void` `addGroup(Group vGroup)`
`void` `addGroup(int index, Group vGroup)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearGroup()`
`java.util.Enumeration` `enumerateGroup()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Group[]` `getGroup()`
`Group` `getGroup(int index)`
`java.util.Collection` `getGroupCollection()`
`int` `getGroupCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeGroup(Group vGroup)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setGroup(Group[] groupArray)`
`void` `setGroup(int index, Group vGroup)`
`void` `setGroupCollection(java.util.Collection vGroup)`
`static Groups` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _groupList

    private java.util.ArrayList _groupList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Groups

    public Groups()

Method Detail

### addGroup

    public void addGroup(Group vGroup)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vGroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addGroup

    public void addGroup(int index,
                         Group vGroup)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vGroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearGroup

    public void clearGroup()

### enumerateGroup

    public java.util.Enumeration enumerateGroup()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getGroup

    public Group getGroup(int index)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getGroup

    public Group[] getGroup()

### getGroupCollection

    public java.util.Collection getGroupCollection()

### getGroupCount

    public int getGroupCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeGroup

    public boolean removeGroup(Group vGroup)

  Parameters:
    `vGroup` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setGroup

    public void setGroup(int index,
                         Group vGroup)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vGroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setGroup

    public void setGroup(Group[] groupArray)

  Parameters:
    `groupArray` -

### setGroupCollection

    public void setGroupCollection(java.util.Collection vGroup)

  Parameters:
    `vGroup` -

### unmarshal

    public static Groups unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.